Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dispatcher.multipart
Class JakartaStreamMultiPartRequest

    java.lang.Object
      org.apache.struts2.dispatcher.multipart.JakartaStreamMultiPartRequest

All Implemented Interfaces:
  MultiPartRequest

    public class JakartaStreamMultiPartRequest

extends Object
implements MultiPartRequest

Multi-part form data request adapter for Jakarta Commons FileUpload package that leverages the streaming API rather than the traditional non-streaming API. For more details see WW-3025

Since:
  2.3.18
Author:
  Chris Cranford

Constructor Summary
`JakartaStreamMultiPartRequest()`

Method Summary
`void` | `cleanUp()` Cleans up all uploaded file, should be called at the end of request
`String[]` | `getContentType(String fieldName)` Returns the content type(s) of the file(s) associated with the specified field name (as supplied by the client browser), or `null` if no files are associated with the given field name.
`List<String>` | `getErrors()` Returns a list of error messages that may have occurred while processing the request.
`File[]` | `getFile(String fieldName)` Returns a `File` object for the filename specified or `null` if no files are associated with the given field name.
`String[]` | `getFileNames(String fieldName)` Returns a String[] of file names for files associated with the specified input field name
`Enumeration<String>` | `getFileParameterNames()` Returns an enumeration of the parameter names for uploaded files
`String[]` | `getFilesystemName(String fieldName)` Returns the file system name(s) of files associated with the given field name or `null` if no files are associated with the given field name.
`List<String>` | `getMesssages()` Allows interceptor to fetch non-critical messages that can be passed to the action.
`String` | `getParameter(String name)` Returns the specified request parameter.
`Enumeration<String>` | `getParameterNames()` Returns an enumeration of String parameter names.
`String[]` | `getParameterValues(String name)` Returns a list of all parameter values associated with a parameter name.
`void` | `parse(javax.servlet.http.HttpServletRequest request, String saveDir)`
`void` | `setBufferSize(String bufferSize)` Sets the buffer size to be used.
`protected void` | `setLocale(javax.servlet.http.HttpServletRequest request)` Inspect the servlet request and set the locale if one wasn't provided by the Struts2 framework.
`void` | `setLocaleProvider(LocaleProvider provider)` Injects the Struts locale provider.
`void` | `setMaxSize(String maxSize)` Injects the Struts multiple part maximum size.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JakartaStreamMultiPartRequest

    public JakartaStreamMultiPartRequest()

Method Detail

### setMaxSize

    public void setMaxSize(String maxSize)

  Injects the Struts multiple part maximum size.

  Parameters:
    `maxSize` -

### setBufferSize

    public void setBufferSize(String bufferSize)

  Sets the buffer size to be used.

  Parameters:
    `bufferSize` -

### setLocaleProvider

    public void setLocaleProvider(LocaleProvider provider)

  Injects the Struts locale provider.

  Parameters:
    `provider` -

### cleanUp

    public void cleanUp()

  Description copied from interface: `MultiPartRequest`
  Cleans up all uploaded file, should be called at the end of request

  Specified by:
    `cleanUp` in interface `MultiPartRequest`

### getContentType

    public String[] getContentType(String fieldName)

  Description copied from interface: `MultiPartRequest`
  Returns the content type(s) of the file(s) associated with the specified field name (as supplied by the client browser), or `null` if no files are associated with the given field name.

  Specified by:
    `getContentType` in interface `MultiPartRequest`
  Parameters:
    `fieldName` - input field name
  Returns:
    an array of content encoding for the specified input field name or `null` if no content type was specified.

### getErrors

    public List<String> getErrors()

  Description copied from interface: `MultiPartRequest`
  Returns a list of error messages that may have occurred while processing the request. If there are no errors, an empty list is returned. If the underlying implementation (ie: pell, cos, jakarta, etc) cannot support providing these errors, an empty list is also returned. This list of errors is repoted back to the `MultiPartRequestWrapper`'s errors field.

  Specified by:
    `getErrors` in interface `MultiPartRequest`
  Returns:
    a list of Strings that represent various errors during parsing

### getMesssages

    public List<String> getMesssages()

  Allows interceptor to fetch non-critical messages that can be passed to the action.

  Returns:

### getFile

    public File[] getFile(String fieldName)

  Description copied from interface: `MultiPartRequest`
  Returns a `File` object for the filename specified or `null` if no files are associated with the given field name.

  Specified by:
    `getFile` in interface `MultiPartRequest`
  Parameters:
    `fieldName` - input field name
  Returns:
    a File[] object for files associated with the specified input field name

### getFileNames

    public String[] getFileNames(String fieldName)

  Description copied from interface: `MultiPartRequest`
  Returns a String[] of file names for files associated with the specified input field name

  Specified by:
    `getFileNames` in interface `MultiPartRequest`
  Parameters:
    `fieldName` - input field name
  Returns:
    a String[] of file names for files associated with the specified input field name

### getFileParameterNames

    public Enumeration<String> getFileParameterNames()

  Description copied from interface: `MultiPartRequest`
  Returns an enumeration of the parameter names for uploaded files

  Specified by:
    `getFileParameterNames` in interface `MultiPartRequest`
  Returns:
    an enumeration of the parameter names for uploaded files

### getFilesystemName

    public String[] getFilesystemName(String fieldName)

  Description copied from interface: `MultiPartRequest`
  Returns the file system name(s) of files associated with the given field name or `null` if no files are associated with the given field name.

  Specified by:
    `getFilesystemName` in interface `MultiPartRequest`
  Parameters:
    `fieldName` - input field name
  Returns:
    the file system name(s) of files associated with the given field name

### getParameter

    public String getParameter(String name)

  Description copied from interface: `MultiPartRequest`
  Returns the specified request parameter.

  Specified by:
    `getParameter` in interface `MultiPartRequest`
  Parameters:
    `name` - the name of the parameter to get
  Returns:
    the parameter or `null` if it was not found.

### getParameterNames

    public Enumeration<String> getParameterNames()

  Description copied from interface: `MultiPartRequest`
  Returns an enumeration of String parameter names.

  Specified by:
    `getParameterNames` in interface `MultiPartRequest`
  Returns:
    an enumeration of String parameter names.

### getParameterValues

    public String[] getParameterValues(String name)

  Description copied from interface: `MultiPartRequest`
  Returns a list of all parameter values associated with a parameter name. If there is only one parameter value per name the resulting array will be of length 1.

  Specified by:
    `getParameterValues` in interface `MultiPartRequest`
  Parameters:
    `name` - the name of the parameter.
  Returns:
    an array of all values associated with the parameter name.

### parse

    public void parse(javax.servlet.http.HttpServletRequest request,
                      String saveDir)
               throws IOException

  Specified by:
    `parse` in interface `MultiPartRequest`
  Throws:
    `IOException`

### setLocale

    protected void setLocale(javax.servlet.http.HttpServletRequest request)

  Inspect the servlet request and set the locale if one wasn't provided by the Struts2 framework.

  Parameters:
    `request` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.